# List packages

`GET https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}/packages`

List all packages for an enterprise account

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.account:read`](https://airtable.com/developers/web/api/scopes.md#enterprise-account-read)
- **User role:** Enterprise admin
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `enterpriseAccountId: string`

## Query parameters

- `shouldGetAllPackagesInGrid: boolean` — optional

  If true and the enterprise account is the root enterprise account, returns all packages across the entire enterprise grid. Defaults to false.

## Response format

- `packages: array<object>` — required

  - `id: string` — required

  - `type: string` — required

  - `createdByUserId: string` — required

  - `createdTime: string` — required

  - `description: string | null` — required

  - `enterpriseAccountId: string | null` — required

  - `installCount: number` — required

  - `lastUpdatedByUserId: string` — required

  - `lastUpdatedTime: string` — required

  - `latestReleaseId: string | null` — required

  - `name: string` — required

  - `sourceApplicationId: string` — required

  - `tagline: string | null` — required

### Example — Success response

```sh
curl "https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}/packages" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "packages": [
    {
      "createdByUserId": "usrL2PNC5o3H4lBEi",
      "createdTime": "2022-09-12T21:03:48.000Z",
      "description": "A new enterprise managed app for the entire grid.",
      "enterpriseAccountId": "entUBq2RGdihxl3vU",
      "id": "pkggUqk9xHiC4BeeH",
      "installCount": 12,
      "lastUpdatedByUserId": "usrsOEchC9xuwRgKk",
      "lastUpdatedTime": "2022-11-15T01:02:04.400Z",
      "latestReleaseId": "pkrsTB7Ic2RhsA4pe",
      "name": "New Enterprise Managed App 1",
      "sourceApplicationId": "appLkNDICXNqxSDhG",
      "tagline": "A new enterprise managed app",
      "type": "appTemplate"
    }
  ]
}
```
